Skip to main content
GET
/
clients
cURL
curl --request GET \
  --url https://api.getjusto.com/api/v2/clients \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getjusto.com/api/v2/clients"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getjusto.com/api/v2/clients', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "ok",
  "data": {
    "totalPages": 123,
    "totalCount": 123,
    "hasNextPage": true,
    "hasPreviousPage": true,
    "status": "<string>",
    "items": [
      {
        "_id": "<string>",
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "firstLogin": "<string>",
        "lastLogin": "<string>",
        "ordersCount": 123,
        "firstOrder": "2023-11-07T05:31:56Z",
        "lastOrder": "2023-11-07T05:31:56Z",
        "pointsBalance": 123,
        "marketingEmailEnabled": true
      }
    ]
  }
}
{
  "status": "error",
  "error": "Error en la petición"
}
{
  "status": "error",
  "error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

success

status
string

Resultado de la operación

Example:

"ok"

data
object